> ## Documentation Index
> Fetch the complete documentation index at: https://doc.seerbit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Charge Card

> This payment option is used to charge non 3d transactions



## OpenAPI

````yaml https://raw.githubusercontent.com/seerbit/openapi/master/specs/external-api.yml post /payments/charge
openapi: 3.0.1
info:
  title: SeerBit API Reference
  contact: {}
  version: '1.0'
servers:
  - url: https://seerbitapi.com/api/v2
security: []
tags:
  - name: AUTHENTICATION
  - name: STANDARD CHECKOUT
  - name: ORDER CHECKOUT
  - name: PAYMENT METHOD
  - name: MOMO
  - name: NON 3DS PAYMENT
  - name: CARD
  - name: ACCOUNT
  - name: TOKENIZE
  - name: AUTHORISE
  - name: PREAUTHORIZATION
  - name: RECURRENT
paths:
  /payments/charge:
    post:
      tags:
        - NON 3DS PAYMENT
      summary: Charge Card
      description: This payment option is used to charge non 3d transactions
      operationId: ChargeCard
      requestBody:
        content:
          application/json:
            schema:
              type: object
            examples:
              ChargeCardRequest:
                $ref: '#/components/examples/ChargeCardRequest'
        required: true
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
              examples:
                ChargeCardResponse:
                  $ref: '#/components/examples/ChargeCardResponse'
                ChargeCardResponse1:
                  $ref: '#/components/examples/ChargeCardResponse1'
        '400':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/400Response'
                400Response1:
                  $ref: '#/components/examples/400Response1'
                400Response2:
                  $ref: '#/components/examples/400Response2'
                400Response3:
                  $ref: '#/components/examples/400Response3'
                400Response4:
                  $ref: '#/components/examples/400Response4'
                400Response5:
                  $ref: '#/components/examples/400Response5'
                400Response6:
                  $ref: '#/components/examples/400Response6'
                400Response7:
                  $ref: '#/components/examples/400Response7'
                400Response8:
                  $ref: '#/components/examples/400Response8'
        '403':
          description: Missing Header Token
          content:
            application/json:
              schema:
                type: object
              examples:
                CreateOrder403Response:
                  $ref: '#/components/examples/Order403Response'
                403Response:
                  $ref: '#/components/examples/403Response'
                403Response2:
                  $ref: '#/components/examples/403Response2'
                403Response3:
                  $ref: '#/components/examples/403Response3'
                403Response4:
                  $ref: '#/components/examples/403Response4'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/404Response'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
              examples:
                500Response:
                  $ref: '#/components/examples/500Response'
      deprecated: false
      security:
        - Basic: []
components:
  examples:
    ChargeCardRequest:
      summary: 3DSAuthorise Request payload
      value:
        publicKey: SBTESTPUBK_dhrpzbRpR34l6VmqkCFOKA94L5E1jSTu
        amount: '10.00'
        fullName: Diei Okechukwu Peter
        mobileNumber: 8030540611
        currency: NGN
        country: NG
        paymentReference: NGN0000037Q35
        email: okechukwu.diei2@gmail.com
        productId: Foods
        productDescription: RASPBERRY
        cardNumber: '5123450000000008'
        expiryMonth: '05'
        expiryYear: '21'
    ChargeCardResponse:
      summary: An example of 200 response payload
      value:
        status: SUCCESS
        data:
          code: '00'
          payments:
            paymentReference: NGN0100067Q35
            linkingReference: SEERBIT146140441602959589412
            status: CAPTURED
          card:
            bin: '512345'
            last4: '0008'
            token: tk_edcac221-63e5-4baf-8846-4922af4a10e6
          message: APPROVED
    ChargeCardResponse1:
      summary: An example of 200 response payload
      value:
        status: SUCCESS
        data:
          code: S12-91
          payments:
            paymentReference: NGN0100067Q35
            linkingReference: SEERBIT146140441602959589412
            status: FAILED
          card:
            bin: '512345'
            last4: '0008'
            token: tk_edcac221-63e5-4baf-8846-4922af4a10e6
          message: FAILURE = TIMED_OUT (Issuer or switch inoperative)
    400Response:
      summary: An example of 400 response payload
      value:
        message: Bad Request
        error: There has been a problem with reading or understanding the request.
    400Response1:
      summary: An example of 400 response payload
      value:
        status: ERROR
        data:
          code: S12
          message: Duplicate transaction reference
    400Response2:
      summary: An example of 400 response payload
      value:
        status: ERROR
        data:
          code: S12
          message: Invalid/Missing parameters = publicKey
    400Response3:
      summary: An example of 400 response payload
      value:
        status: ERROR
        data:
          code: S12
          message: Invalid/Missing parameters = amount
    400Response4:
      summary: An example of 400 response payload
      value:
        status: ERROR
        data:
          code: S12
          message: Invalid/Missing parameters = paymentReference
    400Response5:
      summary: An example of 400 response payload
      value:
        status: ERROR
        data:
          code: S12
          message: Invalid/Missing parameters = currency
    400Response6:
      summary: An example of 400 response payload
      value:
        status: ERROR
        data:
          code: S12
          message: Invalid/Missing parameters = country
    400Response7:
      summary: An example of 400 response payload
      value:
        status: ERROR
        data:
          code: S12
          message: Missing Card details
    400Response8:
      summary: An example of 400 response payload
      value:
        status: ERROR
        data:
          code: S12
          message: Incomplete Card details
    Order403Response:
      summary: An example of 403 response payload
      value:
        message: Header Token Missing
        error: PERMISSION
    403Response:
      summary: An example of 403 response payload
      value:
        message: Confirm Merchant Environment
        error: PERMISSION
    403Response2:
      summary: An example of 403 response payload
      value:
        status: ERROR
        data:
          code: S12
          message: Bad credentials = invalid public key
    403Response3:
      summary: An example of 403 response payload
      value:
        status: ERROR
        data:
          code: S12
          message: Bad credentials
    403Response4:
      summary: An example of 403 response payload
      value:
        data:
          code: S12
          message: Invalid/Missing parameters = paymentReference
    404Response:
      summary: An example of 404 response payload
      value:
        error: Not Found
    500Response:
      summary: An example of 500 response payload
      value:
        message: Internal Server Error
        error: PROCESSING
  securitySchemes:
    Basic:
      type: http
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.